Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.painter
Enum ImagePainter.ScaleType

    java.lang.Object
      java.lang.Enum<ImagePainter.ScaleType>
          org.jdesktop.swingx.painter.ImagePainter.ScaleType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImagePainter.ScaleType>

Enclosing class:
  ImagePainter

    public static enum ImagePainter.ScaleType

extends java.lang.Enum<ImagePainter.ScaleType>

Enum Constant Summary
`Distort`
`InsideFit`
`OutsideFit`

Method Summary
`static ImagePainter.ScaleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImagePainter.ScaleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InsideFit

    public static final ImagePainter.ScaleType InsideFit

### OutsideFit

    public static final ImagePainter.ScaleType OutsideFit

### Distort

    public static final ImagePainter.ScaleType Distort

Method Detail

### values

    public static ImagePainter.ScaleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImagePainter.ScaleType c : ImagePainter.ScaleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImagePainter.ScaleType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.